---
title:  CSCI 1301 -- Project 1
author: Clément Aubert
lang: en
fontsize: 10pt
documentclass: scrartcl
numbersections: true
links-as-notes: true
papersize: letter
geometry: margin=1in
keywords:
- Computer Science
- Problem solving methods
- Syllabus
- Augusta University
- Bachelor of Science
---

# Challenge


In Visual Studio, create a project named "Project01".
Write your name and the date in a delimited comment *at the very beginning* of your code.

In the main method,

- Declare a variable and store your augusta username in it.
- Then, write a statement that will make your program display at the screen the content of that variable, followed by "would like to know your weight in kilograms. Please enter it:".
- Then, write a statement that will store the value entered by the user, allowing decimal numbers, i.e., some precision, a fractional part.
- Finally, write statements (more than one can be needed) so that the content of the variable holding your username, followed by "computed that your weight was:" and the weight of the user in pounds and ounces (both as whole numbers, not rounded but truncated) will be displayed.

An execution could give something _like_:

>
> caubert would like to know your weight in kilograms. Please enter it:  
> 7͟1͟.͟5͟ ⮠͟  
> caubert computed that your weight was 157 lb and 10 oz.  

Note that "71.5" was entered by the user, _not_ by the programmer: your program should work with any weight!
Another example could be:

>
> caubert would like to know your weight. Please enter it:  
> 6͟2͟ ⮠͟  
> caubert computed that your weight was 136 lb and 10 oz.


# Submission

Once your project is done, zip the folder into a file "lname_fname.zip", where "lname" (resp. "fname") is your last name (resp. first name).
Upload this zip on [D2L](https://lms.augusta.edu/d2l/lms/dropbox/user/folder_submit_files.d2l?ou=310724&db=75313) before Friday, February 08, 11:30 PM, in the "Project01" assignment submission folders.

# Advices and Recommendations

- Read the statement over and over, make sure you did not overlooked anything.
- Make sure your project compile without error nor warning, and can be executed as expected.
- A partially completed project is better than nothing. If the user can enter only whole number, or if the conversion is a bit off, add a comment describing your difficulties: that will show me that you aware of the limitations of your program.
- Make sure you submitted the right files by re-downloading them (possibly on a different computer) and making sure you can still compile and execute your program.
- *Do not* ask other classmates, the undegraduate assistant or tutors for help.
This work is supposed to be _your own_, and should reflect _your own_ understanding of the previous labs.
Copying-and-pasting code from the internet will hurt your grade and your understanding of this class.
Any cheating will be easily detected and punished according to the documents mentionned in the [syllabus](http://spots.augusta.edu/caubert/teaching/2019/spring/csci1301/#academic-integrity).
- You can ask me for help and feedback. Please, upload your project according to the instructions, and send me an email asking to go over it if you want me to check that you submitted the right file, that your code compile, etc.
You should ask early, and not wait for the last minute.
- No help will be given during lab: I want to make sure I can assist the students working on the current lab.
