---
title: CSCI 1301 -- Lab 13
author: Clément Aubert
lang: en
fontsize: 10pt
documentclass: scrartcl
numbersections: true
links-as-notes: true
papersize: letter
geometry: margin=1in
keywords:
- Computer Science
- Problem solving methods
- Syllabus
- Augusta University
- Bachelor of Science
---


# Practicing `if` and `switch`

Initialize a `day` string variable, a `myVar` int variable, an `initial` char variable, and a flag.
In this exercise, change and display on the screen the values of those variables to test that your statements behave as they are supposed to.

## From `switch` to `if-else`

#. Write a `switch` statement that sets the flag to `true` if the value of `day` if `"Mon."`, `"Tue."`, `"Wed."`, `"Thu."` or `"Fri."`, and to `false` otherwise. 
#. Rewrite the previous statement as an `if-else` statement.

## From `if-else` to `switch`

#. Write a `if-else` statement that doubles the value of `myVar` if `myVar` is `3`, `5` or `7`.
#. Can you rewrite the previous statement as a `switch` statement?

## Deciding

#. Write a statement that doubles the value of `myVar` and sets `initial` to 'M' if `day` is equal to `"Sat"`.
What is the appropriate kind of statement to do this?
#. Write a statement that displays "Hello" on the screen if the value of `initial` is `'E'` or `'e'`, "Bonjour" if the value of `initial` is `'F'` or `'f'`, "Guten Tag" if the value of `inital` is `'D'` or `'d'`.
What is the appropriate kind of statement to do this?

## Complex Conditions

#. Write a statement that doubles the value of `myVar` if `day` is `"Sun."`, triples the value of `myVar` if `day` is not `"Sun."` and `initial` is `'a'`, and sets `myVar` to `0` otherwise.
#. Write a statement that sets `myVar` to `0` if `initial` is an upper-case letter, and to `1` otherwise. You will need to understand how to use the `IsUpper` method (<https://msdn.microsoft.com/en-us/library/9s91f3by(v=vs.110).aspx>).
