---
title: CSCI 1301 -- Lab 25
author: Clément Aubert
lang: en
fontsize: 10pt
documentclass: scrartcl
numbersections: true
links-as-notes: true
papersize: letter
geometry: margin=1in
keywords:
- Computer Science
- Problem solving methods
- Syllabus
- Augusta University
- Bachelor of Science
---

# Project #3

## Set-Up

For this third project:

- Download and extract [this project](Project_3.zip). It contains two .cs files, `ArrayLib.cs` and `Program.cs`.
- Compile and execute it.
- Observe first `Program.cs`: this is a _test program_ that you **should not modify**. It will be useful to test the methods that you will be writting in the `ArrayLib.cs` class file. For each method, this program display the expected value, and what is actually returned. As you can see, only the `Display` method seems to be always correct.
- Now, read `ArrayLib.cs`. Every method listed in `Program.cs` has a header, but all the bodies are returning "default" values ($0$ if the return type is numerical, `false` if it is a boolean), at the exception of `Display`. This method was written for you.

## Your goal

Your goal is to write the body of the methods in the `ArrayLib` class.
You should not change their headers. 
Modify only their bodies, so that they return the "right" values, according to their description (in comment after their headers) and the test given in `Program.cs`.
You can chage their order, or write them in any order: some of them are actually easier to write, and they are not the first ones: can you find a method that seems easy enough to start your project?

If you have the time and interrest, have a look at the challenges offered at the end of the `ArrayLib.cs` file.

## Turning In Your Work

Start by replacing `YOUR-NAME-HERE` and `DATE-HERE` with your actual name, and the date.
Submit on **D2L** your `ArrayLib.cs` file (and only the `ArrayLib.cs` file, not the whole project) renamed as "lname_fname.cs", where "lname" (resp. "fname") is your last name (resp. first name) before Friday, April 26, 11:30 PM, in the "Project 3" assignment submission folders.

Note that their will be **no** partial feedback this time.
I agree to check that you submitted your work properly, but that's it, I will not be reading your code before I grade it.
